Additional configurable campaign field
Closed, ResolvedPublic

Description

Author: ew-nospam

Description:
Another one for Wiki Loves Monuments!

In addition to the existing field "idField0" which - mainly - allows entering a unique monuments ID, several countries would need a second configurable field to add additional data, e.g. a geographic sublevel (district, state, municipality) because the respective countries do not have national unique identifiers.

A perfect solution would be a dropdown/select that could be filled from a page in MW namespace, and had 2 $1 $2 values (option value, option text).

Example:

Mediawiki:CampaignOptions
1234|Limburg
4321|Brussels
87687|Moscow

This could be handled in the campaign configuration via {{foo|$1|$2}} or sth. similar.

If a dropdown like described above is too complicated, a simple text field as we have with idField0 would be already a help.

Thx for considering this request.

Elke


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz37303.
bzimport created this task.Via LegacyJun 2 2012, 2:34 PM
bzimport added a comment.Via ConduitJun 4 2012, 6:43 PM

ew-nospam wrote:

Addendum: the drop down request should work with the pre-filling by parameters (see https://bugzilla.wikimedia.org/show_bug.cgi?id=33341).

MarkTraceur added a comment.Via ConduitJun 4 2012, 6:47 PM

Hi, Elke! This is on my list of things to do, but my database is currently not set up for campaigns for some reason, and I can't find any guidance in the normal places. Jeroen is my next best hope for help, but there appears to be no response as yet. I'll let you know when I make progress.

bzimport added a comment.Via ConduitJun 4 2012, 6:59 PM

ew-nospam wrote:

Hi Mark, I talked with Jeroen this weekend about this bug, so I'm optimistic you'll find a solution :-)

MarkTraceur added a comment.Via ConduitJun 4 2012, 11:37 PM

Right, here you go: https://gerrit.wikimedia.org/r/10201

This is _a_ solution, it should be noted, but certainly not the best one. I'll be looking for a better way to do this in the very near future, but in case this is a pressing issue, this is your fix.

MarkTraceur added a comment.Via ConduitAug 14 2012, 4:58 PM

So, clearly I never came back to this, but again, it's at least one solution. I'd prefer to have some JavaScript that creates and deletes fieldsets for these fields, but for now, this will work.

Future: Make it less nasty and repetitive.

Eloquence added a comment.Via ConduitAug 24 2012, 2:27 AM

This is now deployed, marking as fixed. The field should only be shown in the wizard when it's configured for a campaign.

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:32 AM
Gilles triaged this task as "Unbreak Now!" priority.Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Needs Triage".Via ConduitDec 4 2014, 11:21 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.